Bug 1001274 - klt : duplicate documentation files / potentially conflicting
klt : duplicate documentation files / potentially conflicting
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: klt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-26 16:04 EDT by Michael Schwendt
Modified: 2013-12-13 22:53 EST (History)
1 user (show)

See Also:
Fixed In Version: klt-1.3.4-7.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:53:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-26 16:04:46 EDT
Duplicate documentation files have been detected in the package
builds for Rawhide and Fedora 20. The likely cause is the unversioned
docdirs change in Fedora 20.

If your package %installs documentation files into %{_docdir}/%{name}/ to
store them in a subpackage, this now conflicts with using the %doc
macro in the base package. Since Fedora 20, the %doc macro installs into
the unversioned %{_docdir}/%{name}/ and includes everything in that
directory. One obvious fix is to decide between either using %doc or
installing into %{_docdir}/%{name}/ manually as explained in the
Packaging tricks Wiki section (for past dist releases and the versioned
docdir).

General discussion of this problem:
https://fedorahosted.org/fpc/ticket/338

Further information:
http://fedoraproject.org/wiki/Changes/UnversionedDocdirs
https://fedoraproject.org/wiki/Packaging_tricks#Installing_documentation:_2_paths

[semi-automated bug report]

[...]

=> klt-1.3.4-5.fc20.src.rpm
=> klt-doc-1.3.4-5.fc20.i686 in fedora-development-i386
  File conflict with: klt-1.3.4-5.fc20.i686
     /usr/share/doc/klt/README.txt
     /usr/share/doc/klt/examples/example1.c
     /usr/share/doc/klt/examples/example2.c
     /usr/share/doc/klt/examples/example3.c
     /usr/share/doc/klt/examples/example4.c
     /usr/share/doc/klt/examples/example5.c
     /usr/share/doc/klt/examples/img0.pgm
     /usr/share/doc/klt/examples/img1.pgm
     /usr/share/doc/klt/examples/img2.pgm
     /usr/share/doc/klt/examples/img3.pgm
     /usr/share/doc/klt/examples/img4.pgm
     /usr/share/doc/klt/examples/img5.pgm
     /usr/share/doc/klt/examples/img6.pgm
     /usr/share/doc/klt/examples/img7.pgm
     /usr/share/doc/klt/examples/img8.pgm
     /usr/share/doc/klt/examples/img9.pgm
     /usr/share/doc/klt/home_motif.gif
     /usr/share/doc/klt/index.html
     /usr/share/doc/klt/installation.html
     /usr/share/doc/klt/log.html
     /usr/share/doc/klt/next_motif.gif
     /usr/share/doc/klt/previous_motif.gif
     /usr/share/doc/klt/previous_versions.html
     /usr/share/doc/klt/ref/change_pyramid.html
     /usr/share/doc/klt/ref/count.html
     /usr/share/doc/klt/ref/create.html
     /usr/share/doc/klt/ref/feature.html
     /usr/share/doc/klt/ref/fh.html
     /usr/share/doc/klt/ref/fl.html
     /usr/share/doc/klt/ref/ft.html
     /usr/share/doc/klt/ref/index.html
     /usr/share/doc/klt/ref/print_tc.html
     /usr/share/doc/klt/ref/replace.html
     /usr/share/doc/klt/ref/select.html
     /usr/share/doc/klt/ref/stop.html
     /usr/share/doc/klt/ref/store.html
     /usr/share/doc/klt/ref/tc.html
     /usr/share/doc/klt/ref/track.html
     /usr/share/doc/klt/ref/update_border.html
     /usr/share/doc/klt/ref/verbosity.html
     /usr/share/doc/klt/ref/write.html
     /usr/share/doc/klt/speed.txt
     /usr/share/doc/klt/toc_motif.gif
     /usr/share/doc/klt/up_motif.gif
     /usr/share/doc/klt/user/chpt1.html
     /usr/share/doc/klt/user/chpt2.html
     /usr/share/doc/klt/user/chpt3.html
     /usr/share/doc/klt/user/chpt4.html
     /usr/share/doc/klt/user/chpt5.html
     /usr/share/doc/klt/user/chpt6.html
     /usr/share/doc/klt/user/chpt7.html
     /usr/share/doc/klt/user/chpt8.html
     /usr/share/doc/klt/user/index.html
     /usr/share/doc/klt/user/kltaffine.gif
     /usr/share/doc/klt/user/noUchar.html

=> klt-1.3.4-5.fc20.src.rpm
=> klt-1.3.4-5.fc20.i686 in fedora-development-i386
  File conflict with: klt-doc-1.3.4-5.fc20.i686
     /usr/share/doc/klt/README.txt
     /usr/share/doc/klt/examples/example1.c
     /usr/share/doc/klt/examples/example2.c
     /usr/share/doc/klt/examples/example3.c
     /usr/share/doc/klt/examples/example4.c
     /usr/share/doc/klt/examples/example5.c
     /usr/share/doc/klt/examples/img0.pgm
     /usr/share/doc/klt/examples/img1.pgm
     /usr/share/doc/klt/examples/img2.pgm
     /usr/share/doc/klt/examples/img3.pgm
     /usr/share/doc/klt/examples/img4.pgm
     /usr/share/doc/klt/examples/img5.pgm
     /usr/share/doc/klt/examples/img6.pgm
     /usr/share/doc/klt/examples/img7.pgm
     /usr/share/doc/klt/examples/img8.pgm
     /usr/share/doc/klt/examples/img9.pgm
     /usr/share/doc/klt/home_motif.gif
     /usr/share/doc/klt/index.html
     /usr/share/doc/klt/installation.html
     /usr/share/doc/klt/log.html
     /usr/share/doc/klt/next_motif.gif
     /usr/share/doc/klt/previous_motif.gif
     /usr/share/doc/klt/previous_versions.html
     /usr/share/doc/klt/ref/change_pyramid.html
     /usr/share/doc/klt/ref/count.html
     /usr/share/doc/klt/ref/create.html
     /usr/share/doc/klt/ref/feature.html
     /usr/share/doc/klt/ref/fh.html
     /usr/share/doc/klt/ref/fl.html
     /usr/share/doc/klt/ref/ft.html
     /usr/share/doc/klt/ref/index.html
     /usr/share/doc/klt/ref/print_tc.html
     /usr/share/doc/klt/ref/replace.html
     /usr/share/doc/klt/ref/select.html
     /usr/share/doc/klt/ref/stop.html
     /usr/share/doc/klt/ref/store.html
     /usr/share/doc/klt/ref/tc.html
     /usr/share/doc/klt/ref/track.html
     /usr/share/doc/klt/ref/update_border.html
     /usr/share/doc/klt/ref/verbosity.html
     /usr/share/doc/klt/ref/write.html
     /usr/share/doc/klt/speed.txt
     /usr/share/doc/klt/toc_motif.gif
     /usr/share/doc/klt/up_motif.gif
     /usr/share/doc/klt/user/chpt1.html
     /usr/share/doc/klt/user/chpt2.html
     /usr/share/doc/klt/user/chpt3.html
     /usr/share/doc/klt/user/chpt4.html
     /usr/share/doc/klt/user/chpt5.html
     /usr/share/doc/klt/user/chpt6.html
     /usr/share/doc/klt/user/chpt7.html
     /usr/share/doc/klt/user/chpt8.html
     /usr/share/doc/klt/user/index.html
     /usr/share/doc/klt/user/kltaffine.gif
     /usr/share/doc/klt/user/noUchar.html
Comment 1 Fedora Update System 2013-12-04 06:12:56 EST
klt-1.3.4-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/klt-1.3.4-7.fc20
Comment 2 Fedora Update System 2013-12-04 19:39:18 EST
Package klt-1.3.4-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing klt-1.3.4-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22709/klt-1.3.4-7.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-12-13 22:53:54 EST
klt-1.3.4-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.